/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-07-27 09:42:14
 * @LastEditTime: 2022-07-27 17:27:52
 * @LastEditors: ldh
 * @Version: 1.0.0
 * @Description: 司法确认审查历史 - 详情
 */
import React, { useState } from 'react';
import { useNavigate, useSearchParams } from 'react-router-dom';
import Page from '../../../components/Page';
import { JudicialApply } from '../../caseDetail/components';

const JudicialAuditDetail = () => {
	const navigate = useNavigate();

	const [searchParams] = useSearchParams();

	const back = searchParams.get('back');

	const judicialId = searchParams.get('judicialId');

	return (
		<Page
			pageHead={{
				title: '详情',
				subtitle: '查看司法确认申请审查详情',
				breadcrumbData: [{ title: '司法确认审查历史', url: '/mediate/courtReview' }, { title: '详情' }],
				handleReturn: () => navigate(`${back}?isBack=true`, { replace: true }),
			}}
		>
			<JudicialApply judicialId={judicialId} />
		</Page>
	);
};

export default JudicialAuditDetail;
